## jed-extra 0.1.8

=== debian/changelog ===
jed-extra (0.1.8) unstable; urgency=low

  * Changed jed-common to jed in Build-Depends (closes: #213755).

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  2 Oct 2003 22:24:16 +0200

jed-extra (0.1.7) unstable; urgency=low

  * patch/04-dircat-stack-order.patch: Patch on previous patch by
    to Jörg Sommer <joerg@alea.gnuu.de> fixing the filling of the stack
    before a call to dircat in home-lib.sl (closes: #212387).

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 26 Sep 2003 20:17:24 +0200

jed-extra (0.1.6) unstable; urgency=low

  * patch/03-fix-home-jedrc.patch: Added patch to allow sane
    initialization of Jed_Home_Directory when $HOME/.jed exists.  Thanks
    to Jörg Sommer <joerg@alea.gnuu.de> (closes: #212387).

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 23 Sep 2003 18:35:50 +0200

jed-extra (0.1.5) unstable; urgency=low

  * patch/02-ispell-space-option.patch: Added patch for fixing a problem
    in composing the ispell command from the dictionaries-common cache.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Sep 2003 17:50:39 +0200

jed-extra (0.1.4) unstable; urgency=low

  * debian/control: Fixed a typo and improved the Desription field, after
    suggestions made by Jens Seidel <tux-master@web.de>.

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  9 Sep 2003 08:05:09 +0200

jed-extra (0.1.3) unstable; urgency=low

  * First official upload to Debian unstable (closes: #200985).
  * debian/control:
    - Bumped Standards-Version to 3.6.1.
    - Conflicts with dictionaries-common << 0.14.0.  This version of
      dictionaries-common is not released officially, but is available at
      the staging area are for jed-extra
      (http://people.debian.org/~rafael/jed-extra).
  * debian/README.Debian: Added some text.  This should be improved in the
    future.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 31 Aug 2003 10:10:42 +0200

jed-extra (0.1.2) unstable; urgency=low

  * patch/01-ispell-hash-name.patch: Patch from Paul Boekholt
    <p.boekholt@hetnet.nl> to give the hash name to option -d of ispell
    instead of the language name.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 14 Jul 2003 23:24:36 +0200

jed-extra (0.1.1) unstable; urgency=low

  * Updated ispell to upstream version 1.12.
  * debian/copyright: Added URLs for the downloaded tarballs from
    jedmodes.sf.net.
  * debian/rules: Added new files present in ispell.tgz to the sl_files
    variables.
  * patch/{01-ispell-kill-process,02-complete-chage-dict}.patch: Removed
    files.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 13 Jul 2003 11:19:34 +0200

jed-extra (0.1) unstable; urgency=low

  * Initial Release.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 11 Jul 2003 10:32:35 +0200
