=== debian/control ===
Source: jed-extra
Section: editors
Priority: optional
Maintainer: Rafael Laboissiere <rafael@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), eperl, jed
Standards-Version: 3.6.1

Package: jed-extra
Architecture: all
Depends: jed-common
Conflicts: dictionaries-common (<< 0.14.0)
Description: Collection of useful JED modes and utilities
 This package contains add-on packages for the JED text editor from
 the JEDmodes repository at SourceForge.  This is a preliminary
 release and only home-lib.sl, ispell and sl_utils are present for
 now.
 .
 Homepage: http://jedmodes.sourceforge.net
