## jed-extra 2.5.6

=== debian/changelog ===
jed-extra (2.5.6-3) unstable; urgency=medium

  * Adopt package (Closes: #748257)
  * Fix "calendar" autocompleteion issue (Closes: #663058)

 -- Wookey <wookey@debian.org>  Tue, 10 Jun 2014 14:59:55 +0100

jed-extra (2.5.6-2) unstable; urgency=low

  * Fix description, thanks Reuben Thomas (closes: #582055)
  * Remove Rafael from Uploaders due to retirement (closes: #571832)
  * Add Wookey to Uploaders

  [Rafael Laboissiere]
  * Switch to dpkg-source 3.0 (quilt) format
  * Added patches (taken from the CVS repository of the upstream project
    JEDmodes):
    - debian/patches/email-misplaced-parentheses.diff (closes: #626412)
    - debian/patches/redefine-list-concat.diff (closes: #654991)

 -- Wookey <wookey@debian.org>  Sun, 15 Jan 2012 03:21:23 +0000

jed-extra (2.5.6-1) unstable; urgency=low
  * New upstream release,
  * debian/rules: updated download URLs, [GM]
    boxquote now included in upstream release, [GM]
  * debian/config, debian/templates: Removed debconf question for
    leftover files from pre-etch versions (closes: #540859). [GM]
  * debian/jed-extra-preparse.sl: load tm.sl to extract online-help [GM]
  * Add cua and cuamisc to drop-in modes
    superseding outdated versions in Jed 0.99.18, [GM]
  * Remove unused dpatch dependency (Lintian warning), [GM]
  * Add install-info to suggested packages (closes: #532588).
  * Add Jörg Sommer to the Uploaders list

 -- Guenter Milde <milde@users.sf.net>  Fri, 20 Nov 2009 22:11:41 +0100

jed-extra (2.5.3-2) unstable; urgency=low

  * Upload to unstable, since lenny is released [RL]
  * debian/contents.txt: Add cua and cuamisc to drop-in modes
    superseding outdated versions in jed 0.99.18 [GM]
  * debian/control: Fix spelling of GNU in long description (Lintian
    warning) [RL]

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 18 Feb 2009 16:13:40 +0100

jed-extra (2.5.3-1) experimental; urgency=low

  * New upstream release [GM]
    + several bug fixes
    + new mode zip
    + Work around rxvt-unicode bug (Debian bug #446444)
  * Update contents.txt: list of installed modes:
    - howto, turbo, yodl
    + folding-keypad-bindings, m_history, rimini, server, sqlited, zip
  * debian/watch: Fix URL for downloading area at SourceForge [RL]
  * debian/po/ja.po: Add debconf translations for Japanese, thanks Hideki
    Yamane (closes: #510737) [RL]
  * debian/control: Add ${misc:Depends} to the dependencies of jed-extra.
    This is needed when using debhelper and was detected by Lintian [RL]
  * Include upstream ChangeLog [GM]
  * debian/watch: Use qa.debian.org redirector for SourceFourge packages
    (fix Lintian warning) [RL]
  * Install upstream Changelog as changelog.gz (fix Lintian warning) [RL]
    + debian/rules: Drop Changelog from the argument of dh_installdocs
    + debian/control, debian/compat: Bump build-dependency on debhelper to
      >= 7, otherwise the change above will not work

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 18 Oct 2008 08:34:37 +0200

jed-extra (2.5.1-1) unstable; urgency=low

  * New upstream release [GM]
  * debian/control [RL]:
    + Move po-debconf into Build-Depends-Indep
    + Append trunk/ to the path in Vcs-Svn:, such that debcheckout works
    + Bump Standards-Version to 3.8.0 (no changes needed)
  * "Recommend" slsh instead of "Suggest"
    as many modes depend on it (as it provides pcre.sl). [GM]
  * Drop the conflict with dictionaries-common (<< 0.14.0),
    even sarge (oldstable) has 0.25.12. [GM]

 -- Guenter Milde <milde@users.sf.net>  Mon, 07 Jul 2008 12:48:18 +0200

jed-extra (2.4.3-1) unstable; urgency=low

  * New upstream release [GM]:
      * fix activation of optional extensions
        (e.g. navigating in the help browser with "," and "." keys),
      * fix dfa syntax highlight with utf-8,
      * rst.sl: fix tokenlist interface so that Mode>Navigate works again,
      		split outlining features to rst-outline.sl
      * libdir.sl: use add_doc_file() (closes: #446271).
      * ispell.sl: better error report if spell program is missing
        (closes: #451565).
      * tests/: include existing test scripts
  * Remove generated files at every install or removal
    (Also removes spurious ini.sl~ files from bug #446272). [GM]
  * Create the System>Ispell menu popup in 50jed-extra.sl [GM]
  * Create autoloads for hyperman.sl [GM]
  * contents.txt: Moved 'tar' 'hyperman' and 'ffap' from eXtra to Enhancements,
    		  moved 'info' from eXtra to Drop-in
		  new category Tests [GM]
  * Ship the test scripts with the package (in JED_ROOT/jed-extra/tests/) [GM]
  * debian/po/fi.po: Added Finnish translation of the debconf templates,
    thanks to Esko Arajärvi (closes: #456976) [RL]
  * debian/copyright:
    + Converted to UTF-8 [RL]
    + Added Copyright owners and release years for each upstream file [RL, GM]
  * debian/control [RL]:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 Feb 2008 13:29:28 +0100

jed-extra (2.4.2-1) unstable; urgency=low

  [ Guenter Milde ]
  * New upstream release:
     * filter-buffer.sl: delete_hidden_lines() fixed (closes: #439895)
     * more bugfixes,
     * better aspell support in ispell.sl with dictionaries-common >> 0.85.2
     * Do not use DFA syntax highlight in utf-8 mode as it does not work with
       multi-byte chars. (You can still enable it in your ~/.jed/jed.rc file
       with ``enable_dfa_syntax_for_mode("<modename>");`` lines)
  * Suggest packages slang-sqlite, slang-expat (closes: #440262),
    and slang-wildcard (closes: #440263)
  * debian/jed-extra-preparse.sl:  Avoid the creation of ini.sl~ files
    (closes: #446272)

  [ Rafael Laboissiere ]
  * debian/rules: Make the tm.sed script executable
  * debian/compile: On removal of the package, delete all the
    automatically generated ini.sl and libfun.txt files, such that no
    files are left in the system (closes: #446307)

