=== debian/control ===
Source: jed-extra
Section: editors
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Uploaders: Guenter Milde <milde@users.sf.net>,
           Jörg Sommer <joerg@alea.gnuu.de>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: http://jedmodes.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-jed/jed-extra/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-jed/jed-extra/

Package: jed-extra
Architecture: all
Depends: ${misc:Depends}
Recommends: jed (>= 0.99.18) | xjed (>= 0.99.18), slsh
Enhances: jed, xjed
Suggests: slang-gdbm, dict, slang-curl, www-browser, a2ps,
 slang-sqlite, slang-expat, slang-wildcard, install-info
Provides: dict-client, info-browser, man-browser
Description: collection of useful Jed modes and utilities
 The Jed text editor can be easily extended using the S-Lang scripting
 language.
 .
 This package contains add-on packages for the Jed editor, mainly from the
 Jedmodes repository at SourceForge (http://jedmodes.sourceforge.net/)
 .
 Enhancements include:
  * new or enhanced modes for:
       Jed help, file management, GNU info, man pages, calculator, calendar,
       dict dictionary lookup (including thesaurus), spellchecking,
       "Game of Life" and snake, version control (CVS/SVN interface)
  * additional language modes:
       CSS, email, gnuplot, make, man, mupad, po_mode, reStructuredText,
       ruby, SQL, yodl
  * new or enhanced editor emulation modes for:
       vi, CUA, Brief
  * extensible URI-scheme handler
       http:, ftp:, man:, floppy:, locate:, grep:
  * buffer history and fast switching between (auto-)numbered buffers
  * S-Lang utility functions and extended set of Key_* variables for xjed
  * framework for installation of local or private extensions.
