## jed-extra 2.5.7

=== debian/changelog ===
jed-extra (2.5.7-9) unstable; urgency=medium

  * d/compile: Do not remove files generated at install time.
    This is now done by the postinst script of the jed package.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Dec 2022 10:07:44 -0300

jed-extra (2.5.7-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 06:18:11 -0300

jed-extra (2.5.7-7) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Rafael Laboissière ]
  * d/t/run-tests: Use tee instead of cat
  * d/t/run-tests.sl: Avoid some problematic tests

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Dec 2022 12:22:52 -0300

jed-extra (2.5.7-6) unstable; urgency=medium

  * d/jed-extra.install: Do not install file changes.txt
  * d/jed-extra.lintian-overrides: Override Lintian warning
    package-contains-documentation-outside-usr-share-doc

 -- Rafael Laboissière <rafael@debian.org>  Fri, 26 Aug 2022 13:50:31 -0300

jed-extra (2.5.7-5) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Rely on dpkg trigger for byte-compilaton of *.sl files at install time
    (Closes: #563630)
    + d/jed-extra.postinst, d/jed-extra.prerm: Drop files
    + d/control:
      - Depend (instead of Recommend) on jed | xjed. Also, ajust the version
        to >= 0.99.20~pre.167+dfsg-2, which is the one which introduce the
        triggers.
      - Drop "Enhances: jed, xjed"
  * d/t/run-tests: Add option -n when calling jed.
    This avoids the loading of the .jedrc file, which may eventually exist in
    the building environment.
  * d/copyright; Update copyright years of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Jul 2022 04:37:58 -0300

jed-extra (2.5.7-4) unstable; urgency=medium

  * d/{postinst,prerm}: Renamed to d/jed-extra.*
  * d/p/aspell-a-option.patch: New patch.
    Thanks to Jörg Sommer (Closes: #572621)
  * d/copyright: Accentuate my family name
  * d/p/skip-dict-curl-test-if-no-network.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Nov 2021 08:32:30 -0300

jed-extra (2.5.7-3) unstable; urgency=medium

  * d/rules: Drop get-orig-source target.
    The command uscan does perfectly the job.
  * d/rules: Drop useless commands in clean target
  * Install the documentation files in the debhelper way
    + d/rules: Replace manual installation code with bare call to
      dh_installdocs
    + d/jed-extra.docs: New file
  * Install the examples files in the debhelper way
    + d/rules: Replace manual installation code with bare call to
      dh_installexamples
    + d/jed-extra.examples: New file
  * Install files in the debhelper way
    + d/compat: Drop file
    + d/control: Build-depend on debhelper-compat = 13
    + debian/install: Drop file
    + debian/rules: Replace manual installation code with bare call to
      dh_install
    + debian/jed-extra.install: New file
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/control: Use new Vcs-{Git,Browser} URLs
  * d/control: Set Rules-Requires-Root: no
  * d/watch: Bump version to 4
  * d/u/metadata: New file
  * d/p/utf8-encoding.patch: New patch
  * d/rules: Use debhelper command sequencer
  * d/control: Add my name to the Uploaders list
  * d/copyright: Convert to DEP-5 format

 -- Rafael Laboissière <rafael@debian.org>  Mon, 30 Aug 2021 06:32:37 -0300

jed-extra (2.5.7-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:24:36 +0100

jed-extra (2.5.7-2) unstable; urgency=medium

  * Actually remove inactive uploaders (Closes: 831556)

 -- Wookey <wookey@debian.org>  Sat, 27 Aug 2016 13:15:51 +0000

jed-extra (2.5.7-1) unstable; urgency=medium

  * New upstream release (Closes: #663054)
  * Remove inactive uploaders (Closes: 830130, #830133, 831556)
  * Updated po-mode (thanks to Morten Bo Johansen) (Closes: #804786)

 -- Wookey <wookey@debian.org>  Fri, 08 Apr 2016 11:32:18 +0100
