=== debian/control ===
--- 
+++ 
@@ -2,23 +2,37 @@
 Section: editors
 Priority: optional
 Maintainer: Wookey <wookey@debian.org>
-Uploaders: Guenter Milde <milde@users.sf.net>,
-           Jörg Sommer <joerg@alea.gnuu.de>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.3
-Homepage: http://jedmodes.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-jed/jed-extra/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-jed/jed-extra/
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dictd,
+               jed,
+               slang-curl,
+               xauth,
+               xclip,
+               xvfb
+Standards-Version: 4.6.1
+Homepage: https://jedmodes.sourceforge.io
+Vcs-Git: https://salsa.debian.org/debian/jed-extra.git
+Vcs-Browser: https://salsa.debian.org/debian/jed-extra
+Rules-Requires-Root: no
 
 Package: jed-extra
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: jed (>= 0.99.18) | xjed (>= 0.99.18), slsh
-Enhances: jed, xjed
-Suggests: slang-gdbm, dict, slang-curl, www-browser, a2ps,
- slang-sqlite, slang-expat, slang-wildcard, install-info
-Provides: dict-client, info-browser, man-browser
+Depends: jed | xjed,
+         ${misc:Depends}
+Recommends: slsh
+Suggests: a2ps,
+          dict,
+          install-info,
+          slang-curl,
+          slang-expat,
+          slang-gdbm,
+          slang-sqlite,
+          slang-wildcard,
+          www-browser
+Provides: dict-client,
+          info-browser,
+          man-browser
 Description: collection of useful Jed modes and utilities
  The Jed text editor can be easily extended using the S-Lang scripting
  language.
