=== debian/tests/control ===
Tests: run-tests
Depends: @, dictd, jed, slang-curl, xauth, xclip, xvfb
Restrictions: allow-stderr
