## jed-extra 2.5.7%2bds

=== debian/changelog ===
jed-extra (2.5.7+ds-1) unstable; urgency=medium

  * New upstream version 2.5.7+ds
  * Remove extraneous backup files (*.sl~) from upstream tarball
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Build-depend on xclip, xauth, and xvfb only in !nocheck profile
  * d/watch: Convert to format version 5
  * d/t/run-tests.sl: Disable unit test test-dict-cli.sl
  * Drop dictd and slang-curl from Build-Depends and from autopkgtest
    dependencies
  * d/p/skip-dict-curl-test-if-no-network.patch: Drop obsolete patch
  * d/t/run-tests: Clean up temporary file at exit
  * d/jed-extra.lintian-overrides: Add override for Lintian warning
    possible-documentation-but-no-doc-base-registration

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Oct 2025 05:31:39 -0300
