## jed-extra 2.5.7+ds

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,14 @@
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dictd,
                jed,
-               slang-curl,
-               xauth,
-               xclip,
-               xvfb
-Standards-Version: 4.6.1
+               xauth <!nocheck>,
+               xclip <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://jedmodes.sourceforge.io
 Vcs-Git: https://salsa.debian.org/debian/jed-extra.git
 Vcs-Browser: https://salsa.debian.org/debian/jed-extra
-Rules-Requires-Root: no
 
 Package: jed-extra
 Architecture: all
