=== debian/rules ===
#!/usr/bin/make -f
# -*- make -*-

shrdir = $(CURDIR)/debian/jed-extra/usr/share/jed

%:
	dh $@

execute_after_dh_auto_test:
	USE_LOCAL_LIB= debian/tests/run-tests

execute_after_dh_install:
	mv $(shrdir)/compile/compile $(shrdir)/compile/jed-extra
	chmod +x $(shrdir)/compile/jed-extra $(shrdir)/jed-extra/tm.sed
