=== debian/tests/control ===
Tests: run-tests
Depends: @, jed, xauth, xclip, xvfb
Restrictions: allow-stderr
