=== debian/watch ===
Version: 5

Source: http://sf.net/jedmodes/
Matching-Pattern: jedmodes-@ANY_VERSION@@ARCHIVE_EXT@
Compression: xz
Dversionmangle: s/[~+]ds[0-9]*//
Repacksuffix: +ds
